Bug 1004106 - softoken needs to address FIPS review comments.
softoken needs to address FIPS review comments.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nss (Show other bugs)
5.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: nss-nspr-maint
BaseOS QE Security Team
:
Depends On:
Blocks: 1049888
  Show dependency treegraph
 
Reported: 2013-09-03 20:19 EDT by Bob Relyea
Modified: 2017-04-18 17:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1004105
Environment:
Last Closed: 2017-04-18 17:53:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Relyea 2013-09-03 20:19:27 EDT
+++ This bug was initially created as a clone of Bug #1004105 +++

The lab has a set of comments for the FIPS review in:

prng
  - update to continous random test.
  - memset in error patch for prng_generateNewBytes()

AES GCM
  - zeroize data struct, buffer and counter Buffer in gcmHash_DestroyContext.
  - zeroize C_i in gcmHash_Mult
  - seroize T in gcmHash_final
  - GCM_DestroyContext: zeroization of tagBits and tagKey missing
  - GCM_DecryptUpdate: zeroization of tag

AES CTR
  - ctr_GetNextCtr: need to prevent wrap of the counter here.
  - CTS_EncryptUpdate/CTS_DecryptUpdate: zeroization of the chars

ECC - 
   - ECDSA_VerifyDigest: zeroization of pointC missing
   - ec_GenerateRandomPrivateKey: zeroization of privKeyBytes missing in 
error condition

DH - 
  - DH_NewKey: there is no CHECK_SEC_OK around RNG_GenerateGlobalRandomBytes\
  - DH_NewKey: zeroize key in case of error (e.g mp_mod can cause an error 
even after a random value is generated)
  - DH_Derive / KEA_Derive: there is no check for NULL after allocation of 
secret, derivedSecret

PQG
   - makePrimefromPrimesShaweTaylor / makePrimefromSeedShaweTaylor:
zeroize x

RSA -
   - RSA_NewKey / RSA_PopulatePrivateKey: zeroize arena in error case

Thi

The following is public data that may need to be zeroized?:
- AESKeyWrap_DestroyContext: zeroization of iv?
- DH_GenParam: zeroize arena in error case
- CTS_DestroyContext: zeroization of iv?
- PQG_DestroyParams: zeroize all stuff before release
- PQG_DestroyVerify: zeroize all entries
Comment 2 RHEL Product and Program Management 2014-01-22 11:26:19 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 4 Bob Relyea 2014-01-29 13:22:23 EST
We need this for RHEL 5, but we won't have all the requirements until after 6.6, so we are looking at either 5.12 or 5.11z.

bob
Comment 5 Elio Maldonado Batiz 2014-02-04 11:11:27 EST
(In reply to Bob Relyea from comment #4)
> We need this for RHEL 5, but we won't have all the requirements until after
> 6.6, so we are looking at either 5.12 or 5.11z.
> 
> bob

That means then that we should postpone this bug to rhel-5.12 when 5.12 it's available for setting flags. Subsequnetly we will clone it as a rhel-5.11.z bug. I propose clearing the rhel-5.11.0? flag

Elio
Comment 10 RHEL Product and Program Management 2014-07-15 20:25:54 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 11 Suzanne Forsberg 2014-10-23 10:39:55 EDT
We will address this as part of the FIPS update to 5.11.z which will occur after RHEL 6.6 nss FIPS certification is completed.
Comment 13 Chris Williams 2017-04-18 17:53:31 EDT
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exited Production Phase 3 and entered Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  For more details please consult the Red Hat Enterprise Linux Life Cycle Page:
https://access.redhat.com/support/policy/updates/errata

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.

Note You need to log in before you can comment on or make changes to this bug.